Bug 177691 - negative dentry caching causes long delay when dentry becomes valid
negative dentry caching causes long delay when dentry becomes valid
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brian Brock
: Regression
Depends On:
Blocks: 168426
  Show dependency treegraph
Reported: 2006-01-12 17:09 EST by Tom Coughlan
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-15 11:59:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Coughlan 2006-01-12 17:09:15 EST
This is the same problem on RHEL 3 as the following RHEL 4 BZ:

175687 – autofs doesn't attempt to remount failed mount points

Negative dentrys are created when someone references a non-existent dentry. The
problem is that these persist for 60 seconds, so access to the dentry is blocked
even if it becomes valid during this time. This is a regression in U3/U7. The
proposed fix is to simply remove negative dentry caching from U3/U7. We plan to
consider adding it back in in a later update. 

ACKed on rhkernel-list for U3 and U7. Accepted for inclusion in same by PM.
Comment 1 Jeffrey Moyer 2006-01-13 14:05:00 EST

*** This bug has been marked as a duplicate of 177573 ***
Comment 3 Ernie Petrides 2006-01-20 18:37:48 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-39.EL).
Comment 4 Red Hat Bugzilla 2006-03-15 11:59:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.